# SPDX-License-Identifier: Apache-2.0
# SPDX-FileCopyrightText: Zygmunt Krynicki
ROCKY_RELEASES ?=
GARDEN_SYSTEMS += $(foreach r,$(ROCKY_RELEASES),$(foreach a,x86_64 aarch64,rocky-cloud-$r.$a))

$(foreach R,$(ROCKY_RELEASES),rocky-cloud-$R.x86_64.run): rocky-cloud-%.x86_64.run: $(MAKEFILE_LIST) | rocky-cloud-%.x86_64.qcow2 rocky-cloud-%.x86_64.efi-code.img rocky-cloud-%.x86_64.efi-vars.img
	echo "#!/bin/sh" >$@
	echo 'set -xeu' >>$@
	echo "# WARNING: The .qcow2 file refers to a file in $(GARDEN_DL_DIR)/rocky" >>$@
	echo '$(strip exec $(call QEMU_SYSTEM_X86_64_EFI_CMDLINE,$(word 1,$|),$(word 2,$|),$(word 3,$|)) "$$@")' >>$@
	chmod +x $@

$(foreach R,$(ROCKY_RELEASES),rocky-cloud-$R.aarch64.run): rocky-cloud-%.aarch64.run: $(MAKEFILE_LIST) | rocky-cloud-%.aarch64.qcow2 rocky-cloud-%.aarch64.efi-code.img rocky-cloud-%.aarch64.efi-vars.img
	echo "#!/bin/sh" >$@
	echo 'set -xeu' >>$@
	echo "# WARNING: The .qcow2 file refers to a file in $(GARDEN_DL_DIR)/rocky" >>$@
	echo '$(strip exec $(call QEMU_SYSTEM_AARCH64_EFI_CMDLINE,$(word 1,$|),$(word 2,$|),$(word 3,$|)) "$$@")' >>$@
	chmod +x $@

$(foreach R,$(ROCKY_RELEASES),rocky-cloud-$R.x86_64.qcow2): rocky-cloud-%.x86_64.qcow2: $(GARDEN_DL_DIR)/rocky/rocky-cloud-%.x86_64.qcow2 rocky-cloud-%.seed.iso rocky-cloud-%.x86_64.efi-code.img rocky-cloud-%.x86_64.efi-vars.img
	$(strip $(QEMU_IMG) create -f qcow2 -b $< -F qcow2 $@ $(QEMU_IMG_SIZE))
	$(strip $(call QEMU_SYSTEM_X86_64_EFI_CMDLINE,$@,$(word 3,$^),$(word 4,$^)) \
		-drive file=$(word 2,$^),format=raw,id=drive1,if=none,readonly=true,media=cdrom \
		-device virtio-blk,drive=drive1 \
		-no-reboot | tee $@.log)

$(foreach R,$(ROCKY_RELEASES),rocky-cloud-$R.aarch64.qcow2): rocky-cloud-%.aarch64.qcow2: $(GARDEN_DL_DIR)/rocky/rocky-cloud-%.aarch64.qcow2 rocky-cloud-%.seed.iso rocky-cloud-%.aarch64.efi-code.img rocky-cloud-%.aarch64.efi-vars.img
	$(strip $(QEMU_IMG) create -f qcow2 -b $< -F qcow2 $@ $(QEMU_IMG_SIZE))
	$(strip $(call QEMU_SYSTEM_AARCH64_EFI_CMDLINE,$@,$(word 3,$^),$(word 4,$^)) \
		-drive file=$(word 2,$^),format=raw,id=drive1,if=none,readonly=true,media=cdrom \
		-device virtio-blk,drive=drive1 \
		-no-reboot | tee $@.log)

$(GARDEN_DL_DIR)/rocky: | $(GARDEN_DL_DIR)
	mkdir -p $@

rocky-cloud-%.meta-data: export META_DATA = $(call CLOUD_INIT_META_DATA_TEMPLATE,rocky-$*)
rocky-cloud-%.meta-data: $(MAKEFILE_LIST)
	echo "$${META_DATA}" | tee $@

rocky-cloud-%.user-data: export USER_DATA = $(call $(call PICK_CLOUD_INIT_USER_DATA_TEMPLATE_FOR,ROCKY,$*),rocky-$*,rocky)
rocky-cloud-%.user-data: $(MAKEFILE_LIST) $(wildcard .image-garden.mk)
	echo "$${USER_DATA}" | tee $@

.PHONY: clean
clean::
	rm -f $(foreach R,$(ROCKY_RELEASES),$(foreach A,x86_64 aarch64,rocky-cloud-$R.$A.qcow2 rocky-cloud-$R.$A.run))
